Skip to main content
GET
List Clients

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

Application that owns the SSO application.

id
string
required

SSO application whose clients to list.

Query Parameters

page_size
integer<int32>

Maximum number of clients to return.

page_token
string

Pagination token from a previous response.

Response

200 - application/json

SSOApplicationServiceListClientsResponse contains a page of App-owned OAuth clients.

SSOApplicationServiceListClientsResponse contains a page of App-owned OAuth clients.

list
Sso Application Oidc Client · object[] | null

App-owned clients in this page.

nextPageToken
string

Pagination token for the next page, or empty when complete.